{
"about": "ABOUT",
"ycloudName": "Support line",
"verifiedName": "verifiedName",
"nameStatus": "APPROVED",
"newName": "John's Cake",
"newNameStatus": "APPROVED",
"address": "ADDRESS",
"description": "DESCRIPTION",
"email": "tom@example.com",
"profilePictureUrl": "https://URL",
"vertical": "OTHER",
"websites": [
"https://WEBSITE-1"
]
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}WhatsApp Phone Numbers
Retrieve a phone number profile
Retrieves a WhatsApp business phone number’s profile. Customers can view your business profile by clicking your business’s name or number in a conversation thread.
GET
https://api.ycloud.com/v2
/
whatsapp
/
phoneNumbers
/
{wabaId}
/
{phoneNumber}
/
profile
{
"about": "ABOUT",
"ycloudName": "Support line",
"verifiedName": "verifiedName",
"nameStatus": "APPROVED",
"newName": "John's Cake",
"newNameStatus": "APPROVED",
"address": "ADDRESS",
"description": "DESCRIPTION",
"email": "tom@example.com",
"profilePictureUrl": "https://URL",
"vertical": "OTHER",
"websites": [
"https://WEBSITE-1"
]
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}Path Parameters
Phone number in E.164 format.
Example:
"+16315551111"
Response
Successfully retrieved the object.
WhatsApp Phone Number Business Profile. Customers can view your business profile by clicking your business's name or number in a conversation thread.
The review status of the current display name request. See also Get Display Name Status.
APPROVED: The name has been approved. You can download your certificate now.AVAILABLE_WITHOUT_REVIEW: The certificate for the phone is available and display name is ready to use without review.DECLINED: The name has not been approved. You cannot download your certificate.EXPIRED: Your certificate has expire and can no longer be downloaded.PENDING_REVIEW: Your name request is under review. You cannot download your certificate.NONE: No certificate is available.
Available options:
APPROVED, AVAILABLE_WITHOUT_REVIEW, DECLINED, EXPIRED, PENDING_REVIEW, NONE The review status of the current display name request. See also Get Display Name Status.
APPROVED: The name has been approved. You can download your certificate now.AVAILABLE_WITHOUT_REVIEW: The certificate for the phone is available and display name is ready to use without review.DECLINED: The name has not been approved. You cannot download your certificate.EXPIRED: Your certificate has expire and can no longer be downloaded.PENDING_REVIEW: Your name request is under review. You cannot download your certificate.NONE: No certificate is available.
Available options:
APPROVED, AVAILABLE_WITHOUT_REVIEW, DECLINED, EXPIRED, PENDING_REVIEW, NONE Industry of the WhatsApp phone number business profile. This can be either an empty string or one of the accepted values.
Available options:
OTHER, AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT Example:
"OTHER"

